/* TERMLIB: Terminal independant database.
 *
 * Module: termlib.h
 *
 * Purpose: declare global variables and functions.
 */

/* termlib.h
 * Global variables for termlib
 *
*/
#ifndef AMIGA
#define AMIGA 0
#endif

extern char *tent;             /* Pointer to terminal entry, set by tgetent */
extern char PC;                              /* Pad character, default NULL */
extern char *UP, *BC;        /* Pointers to UP and BC strings from database */
extern short ospeed;       /* Baud rate (1-16, 1=300, 16=19200), as in stty */

int tgetnum();
char *tgoto();
int tgetent();
int tgetflag();
char *tgetstr();

char *_find();
char *_addfmt();
